algorithmic modeling for Rhino
Hi everyone,
I'm currently trying to split and delete a Brep with Python. Specifically I have one brep which intersects with another. What I want to do is simply delete the intersecting faces.
My code deletes the correct faces, but the remaining faces are rectangles rather than the trimmed surfaces. What do I need to do with the faces to get the brep surfaces? Here is my simple code and attached pictures:
import Rhino as rh
keepFaces = []
for f in Faces:
x,y,z = rh.Geometry.Intersect.Intersection.BrepSurface(Rod,f,0)
if len(str(y))==16:
keepFaces.append(f)
Thanks for your help,
Florian
What I have:
Tags:
DuplicateFace will do the trick, as David said:
keepFaces.append(f.DuplicateFace(False))
newBrep = Rhino.Geometry.Brep.JoinBreps(keepFaces, 0.01)
Thanks a lot to you two! The "DuplicateFace" method did the trick :)
Welcome to
Grasshopper
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
© 2024 Created by Scott Davidson. Powered by